%define	name	tclx
%define	version	8.4
%define	release	%mkrel 2
%define libname	%mklibname %{name} %{version}
%define develname %mklibname -d %name

%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Tcl/Tk extensions for POSIX systems
License:	BSD
Group:		System/Libraries
URL:		http://tclx.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/tclx/tclx%{version}.tar.bz2
Requires:	tcl tk
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	groff
Patch1: tclx-%{version}-varinit.patch
Patch2: tclx-%{version}-relid.patch
Patch3: tclx-%{version}-man.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{develname} 
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep

%setup -q -n tclx%{version}
%patch1 -p1 -b .1.varinit
%patch2 -p1 -b .2.relid
%patch3 -p1 -b .3.patch

%build
%configure \
        --enable-tk=YES \
        --with-tclconfig=%{_libdir} \
        --with-tkconfig=%{_libdir} \
        --with-tclinclude=%{_includedir} \
        --with-tkinclude=%{_includedir} \
	--libdir=%{tcl_sitearch} \
	--enable-gcc \
	--disable-threads \
	--enable-shared \
	--enable-64bit

# parallell build is borked!
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc ChangeLog README
%{tcl_sitearch}/tclx%{version}

%files -n %{develname}
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/mann/*



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0:8.4-2.mga3
+ Revision: 384165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 blino <blino> 0:8.4-1.mga2
+ Revision: 226151
- add sha1.lst
- use mklibname macro for devel package
- remove help hack since we do no build help files anymore
- update filelist for 8.4
- use tcl libdir (from Fedora)
- disable threads
- 8.4 (sync patches and build process from Fedora)
- drop old scriptlets
- import spec from last Mandriva revision before svn deletion (/cooker/tclx/current@477297)
- Created package structure for tclx.

